List Active Payment Methods

Get all currently enabled payment methods across Companies. If multiple Companies have a given payment method enabled, each one will be returned in the results. Data is returned with pagination.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

orderByenumOptional
Specifies the order data should be returned in. If not included, defaults to 'DESC'.
Allowed values:
sortByenumOptionalDefaults to updatedAt

Sorts data based on creation or modification time while respecting the orderBy parameter. If not included, defaults to ‘updatedAt’.

Allowed values:
limitintegerOptionalDefaults to 10
Sets the maximum number of records to display in the response.
offsetintegerOptionalDefaults to 0
Sets the number of records to skip before displaying the response.
companyIdstringOptional

Filters results by companyId, only showing payment methods enabled for the specified Company.

qstringOptional

The search string by which data should be filtered. Currently supports payment method code & payment method title, so that a value of q=auth would return any payment method with ‘auth’ in either the code or the title.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
datalist of objects
metaobject